Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 7816bd1ad94711f1a3aa37f997af43dee05354e4)
+++ BOOK/packages.ent	(revision c0595573917186aeae57d647964289764670ba7c)
@@ -168,8 +168,8 @@
 <!ENTITY gawk-home "&gnu-software;gawk">
 
-<!ENTITY gcc-version "4.4.2">
-<!ENTITY gcc-size "61,448 KB">
+<!ENTITY gcc-version "4.5.0">
+<!ENTITY gcc-size "64,400 KB">
 <!ENTITY gcc-url "ftp://gcc.gnu.org/pub/gcc/releases/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
-<!ENTITY gcc-md5 "70f5ac588a79e3c9901d5b34f58d896d">
+<!ENTITY gcc-md5 "ff27b7c4a5d5060c8a8543a44abca31f">
 <!ENTITY gcc-home "http://gcc.gnu.org">
 
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 7816bd1ad94711f1a3aa37f997af43dee05354e4)
+++ BOOK/patches.ent	(revision c0595573917186aeae57d647964289764670ba7c)
@@ -42,10 +42,6 @@
 
 <!ENTITY gcc-specs-patch "gcc-&gcc-version;-specs-1.patch">
-<!ENTITY gcc-specs-patch-md5 "edda4c1d4acaed90ca4e2f98c1a014ab">
+<!ENTITY gcc-specs-patch-md5 "9ba70e5765be93577166d824064e675a">
 <!ENTITY gcc-specs-patch-size "20 KB">
-
-<!ENTITY gmp-branch_update-patch "gmp-&gmp-version;-branch_update-1.patch">
-<!ENTITY gmp-branch_update-patch-md5 " ">
-<!ENTITY gmp-branch_update-patch-size " KB">
 
 <!ENTITY grep-i18n-patch "grep-&grep-version;-i18n-1.patch">
@@ -69,8 +65,4 @@
 <!ENTITY man-new_compressors-patch-size "2 KB">
 
-<!ENTITY mpfr-branch_update-patch "mpfr-&mpfr-version;-branch_update-2.patch">
-<!ENTITY mpfr-branch_update-patch-md5 "2df45ded7bd8c5b987bb4af75ab1f21c">
-<!ENTITY mpfr-branch_update-patch-size "6 KB">
-
 <!ENTITY ncurses-bashfix-patch "ncurses-&ncurses-version;-bash_fix-1.patch">
 <!ENTITY ncurses-bashfix-patch-md5 "c6f7f2ab0ebaf7721ebeb266641352db">
@@ -122,10 +114,10 @@
 
 <!ENTITY gcc-pure64-patch "gcc-&gcc-version;-pure64-1.patch">
-<!ENTITY gcc-pure64-patch-md5 "74d06d4dda08419c319ae4c63686a4da">
-<!ENTITY gcc-pure64-patch-size "12 KB">
+<!ENTITY gcc-pure64-patch-md5 "da08dec2f6adc4b19ad77b5c3b72356a">
+<!ENTITY gcc-pure64-patch-size "8 KB">
 
 <!ENTITY gcc-specs_pure64-patch "gcc-&gcc-version;-pure64_specs-1.patch">
-<!ENTITY gcc-specs_pure64-patch-md5 "edda4c1d4acaed90ca4e2f98c1a014ab">
-<!ENTITY gcc-specs_pure64-patch-size "20 KB">
+<!ENTITY gcc-specs_pure64-patch-md5 "f8869dbc04a7aa55e5ec8885f4e7515b">
+<!ENTITY gcc-specs_pure64-patch-size "24 KB">
 
 <!-- Start of Config Update patches -->
